<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [Darknet](./bitburner.darknet.md) &gt; [getDepth](./bitburner.darknet.getdepth.md)

## Darknet.getDepth() method

Gets the current depth of the specified server into the darknet. Servers immediately below Darkweb are depth 0, and each visual row in the UI below that increases the depth of the server.

Returns -1 if the server is offline, not found, or not a darkweb server.

**Signature:**

```typescript
getDepth(host?: string): number;
```

## Parameters

<table><thead><tr><th>

Parameter


</th><th>

Type


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

host


</td><td>

string


</td><td>

_(Optional)_ Optional. Hostname/IP of the server to check. Defaults to the running script's server.


</td></tr>
</tbody></table>

**Returns:**

number

The current depth of the server into the darknet.

## Remarks

RAM cost: 0.1 GB

